Skip to content

Employees


List all Employees

GET
/employees

Returns a list of employees. By default, non-archived employees are returned, sorted by code ascending.

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring
Default"1.0"

Query Parameters

term

Fuzzy search by: code, name, email

Typestring
code

Filter by code (exact)

Typestring
position

Filter by position

Typearray
plantId

Filter by plant id

Typeinteger
Format"int32"
includeArchived

Include archived employees

Typeboolean
Defaultfalse
id

Filter by given list of id's

Typearray
createdAt
Typeobject
updatedAt
Typeobject
sort

Sorting property

Typestring
Valid values
"code""name""city""state"
Default"code"
dir

The direction of sorting

Typestring
Valid values
"asc""desc"
Default"asc"
page

The page number of the results to fetch

Typeinteger
Example1
Format"int64"
Default1
size

Maximum number of items returned in a single response (max 100)

Typeinteger
Examples
10
20
50
Format"int64"
Default10

Responses

Success

application/json
JSON
[
]

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

Get specified Employee

GET
/employees/{id}

Returns a full details of the Employee with given id.

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring

Path Parameters

id*

The identifier of the specified employee.

Typestring
Required

Responses

Success

application/json
JSON
{
"id": "string",
"code": "string",
"name": "string",
"divisionId": "string",
"plantId": "string",
"defaultTruckId": "string",
"isArchived": true,
"position": [
"string"
],
"payroll": "string",
"email": "string",
"address": "string",
"city": "string",
"state": "string",
"country": "string",
"postalCode": "string",
"phoneNumber": "string",
"phoneExtension": "string",
"fax": "string"
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

Plants

Operations


List all Plants

GET
/plants

Returns a list of plants. By default, all plants are returned, sorted by code ascending.

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring
Default"1.0"

Query Parameters

code

Filter by code (exact)

Typestring
sort

Sorting property

Typestring
Valid values
"code""name"
Default"code"
dir

The direction of sorting

Typestring
Valid values
"asc""desc"
Default"asc"
page

The page number of the results to fetch

Typeinteger
Example1
Format"int64"
Default1
size

Maximum number of items returned in a single response (max 100)

Typeinteger
Examples
10
20
50
Format"int64"
Default10

Responses

OK

application/json
JSON
{
"items": [
{
"id": "string",
"code": "string",
"name": "string",
"description": "string",
"isLicenseValid": true
}
],
"pagination": {
"total": 100,
"pages": 10
}
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

List all Trucks

GET
/trucks

Returns a list of trucks. By default, non-archived trucks are returned, sorted by code ascending.

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring
Default"1.0"

Query Parameters

term

Fuzzy search by: code, name, description

Typestring
code

Filter by code (exact)

Typestring
includeArchived

Include archived trucks

Typeboolean
Defaultfalse
sort

Sorting property

Typestring
Valid values
"code""name"
Default"code"
dir

The direction of sorting

Typestring
Valid values
"asc""desc"
Default"asc"
page

The page number of the results to fetch

Typeinteger
Example1
Format"int64"
Default1
size

Maximum number of items returned in a single response (max 100)

Typeinteger
Examples
10
20
50
Format"int64"
Default10

Responses

OK

application/json
JSON
{
"items": [
{
"id": "string",
"code": "string",
"name": "string",
"description": "string",
"type": "string",
"plantId": "string",
"isArchived": true
}
],
"pagination": {
"total": 100,
"pages": 10
}
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

Create a Truck

POST
/trucks

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Request Body

application/json
JSON
{
"code": "string",
"name": "string",
"description": "string",
"type": "string",
"plantId": "string"
}

Responses

OK

application/json
JSON
{
"id": "string",
"code": "string",
"name": "string",
"description": "string",
"type": "string",
"plantId": "string",
"isArchived": true
}

Playground

Authorization
Body

Samples

cURL
JavaScript
PHP
Python

Get Truck details

GET
/trucks/{id}

Returns the details of the specified Truck

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring
Default"1.0"

Path Parameters

id*

The identifier of the specified Truck

Typestring
Required

Responses

OK

application/json
JSON
{
"id": "string",
"code": "string",
"name": "string",
"description": "string",
"type": "string",
"plantId": "string",
"isArchived": true
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

Update a Truck

PUT
/trucks/{id}

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Request Body

application/json
JSON
{
"code": "string",
"name": "string",
"description": "string",
"type": "string",
"plantId": "string",
"isArchived": true
}

Responses

OK

application/json
JSON
{
"id": "string",
"code": "string",
"name": "string",
"description": "string",
"type": "string",
"plantId": "string",
"isArchived": true
}

Playground

Authorization
Body

Samples

cURL
JavaScript
PHP
Python

Archive a Truck

DELETE
/trucks/{id}

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Responses

OK

application/json
JSON
{
"id": "string",
"code": "string",
"name": "string",
"description": "string",
"type": "string",
"plantId": "string",
"isArchived": true
}

Playground

Authorization

Samples

cURL
JavaScript
PHP
Python

Items


List all Items

GET
/items

Returns a list of Items. By default, all items are returned, sorted by code ascending.

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring
Default"1.0"

Query Parameters

id

Filter by id (exact)

Typestring
term

Fuzzy search by: code, name, description

Typestring
code

Filter by code (exact)

Typestring
name

Filter by name (exact)

Typestring
description

Filter by description (exact)

Typestring
createdAt

Date range filter using left-hand-side (LHS) bracket syntax. Supported operators: eq, gt, lt, gte, lte. A plain string is equivalent to eq and represents a single date (UTC).

Typeobject
Examples
"createdAt=2025-09-10"
"createdAt[gte]=2025-09-10T00:00:00.000Z&createdAt[lt]=2025-09-11T00:00:00.000Z"
updatedAt

Date range filter using left-hand-side (LHS) bracket syntax. Supported operators: eq, gt, lt, gte, lte. A plain string is equivalent to eq and represents a single date (UTC).

Typeobject
Examples
"updatedAt=2025-09-10"
"updatedAt[gte]=2025-09-10T00:00:00.000Z&updatedAt[lt]=2025-09-11T00:00:00.000Z"
sort

Sorting property

Typestring
Valid values
"code""name""description"
Default"code"
type

Item Type

Typestring
Valid values
"ACCELERATOR""AGGREGATE_COARSE""AGGREGATE_FINE""AIR_ENTRAINING_AGENT""ASPHALT""AUTOMATIC_SUNDRY_CHARGE""BLOCK""BRICK""BUILDING_MATERIAL""CEMENT""CEMENTITIOUS_MATERIAL""COLOR""CONCRETE""EXTRA_CHARGE""HAUL_CHARGE""KIT_OR_MANUFACTURED_ITEM""OIL""OTHER_ADMIXTURE""OTHER_PRODUCT""PIPE""PLASTICIZER""REINFORCING_MATERIAL_ADMIX""REINFORCING_MATERIAL_EXTERNAL""RETARDER""STEEL""WATER"
dir

The direction of sorting

Typestring
Valid values
"asc""desc"
Default"asc"
page

The page number of the results to fetch

Typeinteger
Example1
Format"int64"
Default1
size

Maximum number of items returned in a single response (max 100)

Typeinteger
Examples
10
20
50
Format"int64"
Default10

Responses

OK

application/json
JSON
{
"items": [
{
"id": "string",
"code": "string",
"name": "string",
"description": "string",
"type": "string"
}
],
"pagination": {
"total": 100,
"pages": 10
}
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

List all Items Categories

GET
/items/categories

Returns a list of Items Categories. By default, all items are returned, sorted by code ascending.

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring
Default"1.0"

Query Parameters

id

Filter by id (exact)

Typestring
term

Fuzzy search by: code, name, description

Typestring
code

Filter by code (exact)

Typestring
name

Filter by name (exact)

Typestring
description

Filter by description (exact)

Typestring
createdAt

Date range filter using left-hand-side (LHS) bracket syntax. Supported operators: eq, gt, lt, gte, lte. A plain string is equivalent to eq and represents a single date (UTC).

Typeobject
Examples
"createdAt=2025-09-10"
"createdAt[gte]=2025-09-10T00:00:00.000Z&createdAt[lt]=2025-09-11T00:00:00.000Z"
updatedAt

Date range filter using left-hand-side (LHS) bracket syntax. Supported operators: eq, gt, lt, gte, lte. A plain string is equivalent to eq and represents a single date (UTC).

Typeobject
Examples
"updatedAt=2025-09-10"
"updatedAt[gte]=2025-09-10T00:00:00.000Z&updatedAt[lt]=2025-09-11T00:00:00.000Z"
sort

Sorting property

Typestring
Valid values
"code""name""description"
Default"code"
type

Item Type

Typestring
Valid values
"ACCELERATOR""AGGREGATE_COARSE""AGGREGATE_FINE""AIR_ENTRAINING_AGENT""ASPHALT""AUTOMATIC_SUNDRY_CHARGE""BLOCK""BRICK""BUILDING_MATERIAL""CEMENT""CEMENTITIOUS_MATERIAL""COLOR""CONCRETE""EXTRA_CHARGE""HAUL_CHARGE""KIT_OR_MANUFACTURED_ITEM""OIL""OTHER_ADMIXTURE""OTHER_PRODUCT""PIPE""PLASTICIZER""REINFORCING_MATERIAL_ADMIX""REINFORCING_MATERIAL_EXTERNAL""RETARDER""STEEL""WATER"
dir

The direction of sorting

Typestring
Valid values
"asc""desc"
Default"asc"
page

The page number of the results to fetch

Typeinteger
Example1
Format"int64"
Default1
size

Maximum number of items returned in a single response (max 100)

Typeinteger
Examples
10
20
50
Format"int64"
Default10

Responses

OK

application/json
JSON
{
"items": [
{
"id": "string",
"code": "string",
"name": "string",
"description": "string",
"itemType": "CONCRETE",
"reportingUnit": "[yd_i]3",
"inventoryUnit": "[yd_i]3",
"batchUnit": "[yd_i]3",
"priceUnit": "[yd_i]3",
"deliveredUnit": "[yd_i]3",
"orderedUnit": "[yd_i]3",
"purchaseUnit": "[yd_i]3",
"deliveredExtensionCode": "MixDeliveredQuantity",
"orderedExtensionCode": "PerWeightOfCement",
"priceExtensionCode": "MixDeliveredQuantity"
}
],
"pagination": {
"total": 100,
"pages": 10
}
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

Tickets


List of Tickets

GET
/tickets

Returns a list of Tickets. Supports filtering by date range and plant.

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring
Default"1.0"

Query Parameters

date

Date range filter using left-hand-side (LHS) bracket syntax. Supported operators: eq, gt, lt, gte, lte. A plain string is equivalent to eq and represents a single date (UTC).

Typeobject
Examples
"date=2025-09-10"
"date[gte]=2025-09-10T00:00:00.000Z&date[lt]=2025-09-11T00:00:00.000Z"
plantId

Filter by Plant ID (exact)

Typestring
sort

Sorting property

Typestring
Valid values
"date""plantId"
Default"date"
dir

The direction of sorting

Typestring
Valid values
"asc""desc"
Default"asc"
page

The page number of the results to fetch

Typeinteger
Example1
Format"int64"
Default1
size

Maximum number of items returned in a single response (max 100)

Typeinteger
Examples
10
20
50
Format"int64"
Default10

Responses

OK

application/json
JSON
{
"items": [
{
"id": "string",
"date": "2025-03-15T10:34:02.107Z",
"code": "TICKET-1234",
"plantId": "string"
}
],
"pagination": {
"total": 100,
"pages": 10
}
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

Create a Ticket

POST
/tickets

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Request Body

application/json
JSON
{
"date": "2025-03-15T10:34:02.107Z",
"code": "TICKET-1234",
"plantId": "string",
"operatorMessage": "string",
"customer": {
"code": "783",
"name": "Sysdyne Corporation"
},
"project": {
"code": "199",
"name": "Austin suburbs housing"
},
"order": {
"date": "2024-03-21T09:29:31.159Z",
"code": "443"
},
"mix": {
"id": "string",
"loadSize": 0,
"unit": "cy",
"quantity": 0,
"delivered": 0,
"slump": 0,
"usage": "Ceiling",
"design": {
"constituents": [
{
"id": "string",
"quantity": 0
}
],
"airPercent": 0,
"mixerTime": 0,
"slump": 0,
"maxDropQuantity": 0
}
},
"delivery": "string",
"truck": "string",
"driver": {
"code": "DRV1"
}
}

Responses

OK

application/json
JSON
{
"id": "string",
"date": "2025-03-15T10:34:02.107Z",
"code": "TICKET-1234",
"plantId": "string",
"operatorMessage": "string",
"customer": {
"code": "783",
"name": "Sysdyne Corporation"
},
"project": {
"code": "199",
"name": "Austin suburbs housing"
},
"order": {
"date": "2024-03-21T09:29:31.159Z",
"code": "443"
},
"mix": {
"id": "string",
"loadSize": 0,
"unit": "cy",
"quantity": 0,
"delivered": 0,
"slump": 0,
"usage": "Ceiling",
"design": {
"constituents": [
{
"id": "string",
"quantity": 0
}
],
"airPercent": 0,
"mixerTime": 0,
"slump": 0,
"maxDropQuantity": 0
}
},
"delivery": "string",
"truck": "string",
"driver": {
"code": "DRV1"
}
}

Playground

Authorization
Body

Samples

cURL
JavaScript
PHP
Python

Get Ticket details

GET
/tickets/{id}

Returns the details of the specified Ticket

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring
Default"1.0"

Path Parameters

id*

The identifier of the specified Ticket

Typestring
Required

Responses

OK

application/json
JSON
{
"id": "string",
"date": "2025-03-15T10:34:02.107Z",
"code": "TICKET-1234",
"plantId": "string",
"operatorMessage": "string",
"customer": {
"code": "783",
"name": "Sysdyne Corporation"
},
"project": {
"code": "199",
"name": "Austin suburbs housing"
},
"order": {
"date": "2024-03-21T09:29:31.159Z",
"code": "443"
},
"mix": {
"id": "string",
"loadSize": 0,
"unit": "cy",
"quantity": 0,
"delivered": 0,
"slump": 0,
"usage": "Ceiling",
"batch": {
"startTime": "string",
"endTime": "string",
"mixingTime": 0,
"temperWater": 0,
"temperWaterUnit": "gal",
"results": [
{
"type": "string",
"itemId": "string",
"name": "string",
"target": 200,
"actual": 202.4,
"unit": "lb",
"waterPercent": 2.4
}
]
},
"design": {
"constituents": [
{
"id": "string",
"quantity": 0
}
],
"airPercent": 0,
"mixerTime": 0,
"slump": 0,
"maxDropQuantity": 0
}
},
"delivery": "string",
"truck": "string",
"driver": {
"code": "DRV1"
}
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

Units

Operations


List all available units

GET
/units

Returns a list of available units.

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Query Parameters

term

Fuzzy search by: code, name, symbol

Typestring
code

Filter by code (exact)

Typestring
name

Filter by name (exact)

Typestring
type

Unit Type

Valid values
"Length""Distance""Area""DryVolume""WetVolume""Weight""Strength""Other"

Responses

Success

application/json
JSON
[
{
"symbol": "yd³",
"type": "DryVolume",
"name": "Cubic yard",
"code": "[yd_i]3"
}
]

Playground

Authorization
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

Truck Types


List all truck types

GET
/truck-types

Returns a list of all available truck types

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring
Default"1.0"

Query Parameters

term

Fuzzy search by: code, name, description

Typestring
dir

The direction of sorting

Typestring
Valid values
"asc""desc"
Default"asc"
page

The page number of the results to fetch

Typeinteger
Example1
Format"int64"
Default1
size

Maximum number of items returned in a single response (max 100)

Typeinteger
Examples
10
20
50
Format"int64"
Default10

Responses

OK

application/json
JSON
{
"items": [
{
"id": "string",
"code": "REAR",
"name": "Rear",
"description": "Rear loaded truck"
}
],
"pagination": {
"total": 100,
"pages": 10
}
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

Tax Authorities


List all tax authorities

GET
/tax-authorities

Returns a list of all available tax authorities

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring
Default"1.0"

Query Parameters

term

Fuzzy search by: code, name, description

Typestring
code

Filter by code (exact)

Typestring
sort

Sorting property

Typestring
Valid values
"code""name"
Default"code"
dir

The direction of sorting

Typestring
Valid values
"asc""desc"
Default"asc"
page

The page number of the results to fetch

Typeinteger
Example1
Format"int64"
Default1
size

Maximum number of items returned in a single response (max 100)

Typeinteger
Examples
10
20
50
Format"int64"
Default10

Responses

OK

application/json
JSON
{
"items": [
{
"id": "string",
"code": "STATE",
"name": "State",
"description": "State tax authority",
"createdAt": "2024-03-15T10:34:02.107Z",
"updatedAt": "2024-03-15T10:34:02.107Z"
}
],
"pagination": {
"total": 100,
"pages": 10
}
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

Tax Authority Locations


List all tax authority locations

GET
/tax-authority-locations

Returns a list of all available tax authority locations

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring
Default"1.0"

Query Parameters

term

Fuzzy search by: code, name, description

Typestring
code

Filter by code (exact)

Typestring
sort

Sorting property

Typestring
Valid values
"code"
Default"code"
dir

The direction of sorting

Typestring
Valid values
"asc""desc"
Default"asc"
page

The page number of the results to fetch

Typeinteger
Example1
Format"int64"
Default1
size

Maximum number of items returned in a single response (max 100)

Typeinteger
Examples
10
20
50
Format"int64"
Default10

Responses

OK

application/json
JSON
{
"items": [
{
"id": "string",
"code": "STATE",
"description": "State tax authority",
"primaryCurrentRate": 6.5,
"previousRate": 6,
"effectiveDate": "2024-01-01T00:00:00.000Z",
"taxAuthorityId": "string",
"createdAt": "2024-03-15T10:34:02.107Z",
"updatedAt": "2024-03-15T10:34:02.107Z"
}
],
"pagination": {
"total": 100,
"pages": 10
}
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python